﻿#~ ##!/usr/bin/env python
#~
#~ import gtk
#~
#~ class pluginExportText:
#~
    #~ def __init__(self,dicoinfo,dicocalc):
        #~ '''Dico est le protolist de l'arbre des calculs'''
#~
        #~ import gtk
#~
        #~ boitedialogue = gtk.Dialog("Plugin exemple", None, 0, (gtk.STOCK_OK,gtk.RESPONSE_OK))
#~
        #~ etiquette = gtk.Label("Dictionnaire de l'entête :\n %s\n\nDictionnaire de la liste de calcul :\n %s"%(dicoinfo,dicocalc))
        #~ boitedialogue.vbox.pack_start(etiquette, True, True, 0)
#~
        #~ etiquette.show()
#~
        #~ boitedialogue.run()
        #~ boitedialogue.destroy()
#~
#~
import gtk
from random import choice

def run(dicoInfo,listContent):
    '''Fonction se lancant lors de la validation du plugin'''

    boitedialogue = gtk.Dialog("Lancement du plugin d'exemple", None, 0, (gtk.STOCK_OK,gtk.RESPONSE_OK))
    boitedialogue.set_size_request(560, 360)

    listStrElements = [] #Liste qui contiendera les element sous forme de chaine
    for dicoElement in listContent :
        '''Sort le dico de chaque element de la liste du contenu'''
        listStrElements.append("%s"%dicoElement) #transphorme ce dico en chaine de caractère

    #gcréation d'une scrollview
    scrollwin = gtk.ScrolledWindow()
    scrollwin.set_policy(gtk.POLICY_AUTOMATIC, gtk.POLICY_AUTOMATIC)
    boitedialogue.vbox.pack_start(scrollwin, True, True, 0)
    scrollwin.show()

    #affichage du resultat dans un label
    txt_label_etiquette = "Dictionnaire de l'entête :\n %s\n\nListe des dictionnaires des éléments : [\n%s]"\
                            %(dicoInfo,",\n".join(listStrElements))

    print (txt_label_etiquette)
    etiquette = gtk.Label(txt_label_etiquette)

    scrollwin.add_with_viewport(etiquette)
    etiquette.show()

    boitedialogue.run()
    boitedialogue.destroy()


def options():
    '''Fonction se lancant lors du clique sur le boutons préférence.'''

    boitedialogue = gtk.Dialog("Préférence du plugin d'exemple", None, 0, (gtk.STOCK_OK,gtk.RESPONSE_OK))
    etiquette = gtk.Label("Ceci est un exemple de fenêtre de préférence, par contre il y a rien a paramétrer.")
    boitedialogue.vbox.pack_start(etiquette, True, True, 0)
    etiquette.show()

    boitedialogue.run()
    boitedialogue.destroy()


def get_stats() :
    return {
        'label':'dszeze ddze dze ze dzed dzedszeze ddze dze ze dzed dzedszeze ddze dze ze dzed dzedszeze ddze dze ze dzed dzedszeze ddze dze ze dzed dzedszeze ddze dze ze dzed dzedszeze ddze dze ze dzed dzeStatus de plugin avec barre d\'activitée et un chiffre aléatoire %s'%choice('0123456789'),
        'progress':'pulse',
        'hidden':False
    }



# Si lancement direct : petits dicos bindons pour test
if __name__ == '__main__':
    '''Pour les tester : dicos bidons'''
    from time import strftime
    dicoInfo = {
        'title': 'Titre',
        'description': 'blabla',
        'author': 'JF',
        'date' : strftime('%d/%m/%Y %H:%M')
        }
    listCalc = [
    #  (ID,  entry, render, aff ,precRes, res,   unit, listVar, comm)
        {'id' :'1',   'entry': '2+2', 'render':'2+2', 'aff': '2', 'precRes':'1', 'res':'5', 'unit':'kN', 'listVar':(1,2), 'comm':'blabla'}
        ]
    run(dicoInfo,listCalc)
    gtk.main()
